from enum import Enum


class Cmd(Enum):
    NONE        = -1
    IGNORE      = 0     # Do not try to execute a command
    OPEN        = 1     # Open the claw
    CLOSE       = 2     # Close the claw
    MOVE        = 3     # Move to a stated position in space
    TURN        = 4     # Turn a stated degree amount and direction
    PICKUP      = 5     # Pick up a stated item
    SETDOWN     = 6     # Set down the currently held item
    GIVE        = 7     # Give the operator a stated item

class Item(Enum):
    NONE        = -1
    CAN         = 0
    BLOCK       = 1
    BALL        = 2
    UNKNOWN     = 3

class Direction(Enum):
    NONE        = -1
    LEFT        = 0
    RIGHT       = 1
    UP          = 2
    DOWN        = 3